---
slug: ensembl-website-basics
title: How to get started with the Ensembl website
description: Here is how to use the apps in Ensembl
related_articles:
  - href: ../using-ensembl/ensembl-apps/entity-viewer/entity-viewer.md
  - href: ../using-ensembl/ensembl-apps/genome-browser/browser.md
tags:
  - gene
status: draft
---

# How to get started with the Ensembl website

The new Ensembl website is an ongoing project to provide access and visualisation to Ensembl data in a redesigned web interface. A very limited data set has been made available for our initial releases. New interfaces for presenting a range of other data types will be released periodically.

## Apps

There are currently four different apps, each allowing you to perform a specific task or providing visualisation of different data types for your genomes of interest. The currently available apps are:

![](../../img/id-species-selector.svg)

The Species selector allows you to view and select the species and genome assemblies that you wish to view in the Genome browser and Entity viewer.

![](../../img/id-genome-browser.svg)

Use the Genome browser to explore a genomic region and view a gene and its transcripts in the context of the genome.

![](../../img/id-entity-viewer.svg)

Use the Entity viewer to look at gene details, including transcript structures, protein domains, links out to other databases and sequences.

![](../../img/id-help.svg)

Explore our Help & documentation to learn more about our data and tools.

To begin visualising data using the apps, you need to select a species and genome assembly using the Species selector. Once you have selected your species, you can switch between apps by clicking on the app icons in the page header.

## Selecting a species

You can select your species and genomes of interest using the Species selector app. You can select multiple species and genome assemblies, and switch between them by clicking on the species tabs when viewing data in the other apps.

## Navigating the website

While the general layout of the webpage differs between the apps, the page header contains icons which you can use to move between apps and species tabs.
 
Blue icons and text are clickable and will allow you to navigate around the app or configure the data display. Grey icons indicate apps and functionality that is planned, but not available yet.
 
## Help and documentation
There is help available for using each app. To access the help pages, click on the Help icon in the top-right corner of the page from within each app. 
